<bugID>439774<Summary>address bar is not focused after new tab command in fullscreen</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0

Missing feature from Firefox 2

Reproducible: Always

Steps to Reproduce:
1. Toggle Full Screen (F11)
2. Open a new Tab (Ctrl + T)
3. Type a url and press enter
Actual Results:  
Nothing Happens.

Expected Results:  
Opened the url.

On Firefox 2 (tested on Win32 and Ubuntu Linux) when you open a new tab in fullscreen the address bar is automatically focused, just like when not in fullscreen, even if it was "invisible". On Firefox 3 the focus only works when not in fullscreen.

So, for example, if I want to open delicious in a new tab (I use keywords on bookmarks) I will type:
On Firefox 2: (Ctrl + t) delicious (enter)
On Firefox 2 (Full Screen): (Ctrl + t) delicious (enter)
On Firefox 3: (Ctrl + t) delicious (enter)
On Firefox 3 (FS): (Ctrl + t) (Alt + d) delicious (enter)

I had always put the address on the side of the Alt Menu, on Firefox 2, saves a lot of screen space.</Description></bugID>